﻿<?php

	class User {
		
		private $db;
		
		/*
		*	Constructor
		*/
		public function __construct() {
		
			$this->db = new Database;
		}
		
		/*
		 * User Login
		 */
		public function login($username, $password) {
		
			$this->db->query("SELECT * FROM users
										WHERE username = :username
										AND password = :password");
			
			//Bind Values
			$this->db->bind(':username', $username);
			$this->db->bind(':password', $password);
			
			$row = $this->db->getSingle();
			
			//Check Rows
			if($this->db->getRowCount() > 0) {
			
				$_SESSION['is_logged_in'] = true;
				$_SESSION['user_id'] = $row->id;
				$_SESSION['username'] = $row->username;
				$_SESSION['name'] = $row->name;
				
				 return true;
				
			} else {
			
				return false;
				
			} 
			
		}
		
		
		/*
		*	Check if user is logged in
		*/
		function isLoggedIn() {
			if (isset($_SESSION['is_logged_in'])) {
				return true;
			} else {
				return false;
			}
		}

		/*
		*	Get logged-in user info
		*/
		function getUser() {
			$user_array = array();
			$user_array['user_id'] = $_SESSION['user_id'];
			$user_array['username'] = $_SESSION['username'];
			return $user_array;	
		}

		/*
		 * User Logout
		*/
		public function logout() {
		
			unset($_SESSION['is_logged_in']);
			unset($_SESSION['user_id']);
			unset($_SESSION['username']);
			unset($_SESSION['name']);
			return true;
			
		}
		
			
	}
