<?php include_once '../config/init.php'; ?>

<?php
/*  Set up Login System */
	$user = new User;
	
	$username = ADMIN_USER;
	$password = ADMIN_PASS;

	if (isset($_POST['login'])) {
		
		$login_result = $user->login($username, $password);
		
		if ($user->login($username, $password)) {
			redirect('events.php', "You are now logged in.", 'success');
		} else {
			redirect('index.php', "I'm sorry. There was something wrong with your username/password. Please try again.", 'error');
		}	
	} 
	
?>

<!DOCTYPE html>

<html lang="en" class="no-js">

<head>
	<meta charset = "utf-8">
	<title>Admin Area Login Form</title>
	<link rel="stylesheet" type="text/css" href="../css/style.css" />
</head>

<body>

	<div id = "wrapper">
	
		<header>
			<h1>Test Admin Area</h1>
		</header>
		
		<nav>
			<ul>
				<li><a href="index.php">Admin Area Home Page</a></li>
				<li><a href="events.php">Events List</a></li>
				<li><a href="../index.php">Front End of Site</a></li>
			</ul>
		</nav>
		
		<div id="mainContent">
			<h2>Login Form</h2>
			<?php displayMessage(); ?>
			<form action="index.php" method="post" id="login">
				<p>
					<label for="username" class="username">Username:</label>
					<input type="text" name="username" id="username" value="">
				</p>
				<p>
					<label for="password" class="password">Password:</label>
					<input type="password" name="password" id="password" value="">
				</p>
				<p>
					<input type="submit" name="login" value="Log In">
				</p>	
			</form>
		</div> <!-- end of mainContent div -->	

	<footer>
		<p>copyright &copy; <?php echo date('Y', time()); ?> Admin Footer</p>
	</footer>
</div>  <!-- end of wrapper div -->

</body>

</html>