﻿<?php

/*	
*	Redirect to page
*/
function redirect($page = false, $message = null, $message_type = nullj) {
	
	if (is_string($page)) {
		$location = $page;
	} else {
		$location = $_SERVER['SCRIPT_NAME'];
	}
	
	// Check for message
	if ($message != null) {
		$_SESSION['message'] = $message;
	}
	
	// Check for type
	if ($message_type != null) {
		$_SESSION['message_type'] = $message_type;
	}
	
	// Redirect
	header('Location:' . $location);
	exit;
}

/*
*	Display message
*/
function displayMessage() {
	if (!empty($_SESSION['message'])) {
		$message = $_SESSION['message'];
		
		if (!empty($_SESSION['message_type'])) {
			$message_type = $_SESSION['message_type'];
			
			if ($message_type == 'error') {
				echo '<div class="alert error">' . $message . '</div>';
			} else {
				echo '<div class="alert success">' . $message . '</div>';
			}
		}
	
		// Unset message
		unset($_SESSION['message']);
		unset($_SESSION['message_type']);
	} else {
		echo '';
	}
}


